us.zoom.sdk

## Interface PreMeetingService

-     public interface PreMeetingService

  Zoom pre-meeting service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(PreMeetingServiceListener listener)` Register a listener for pre-meeting event
    `boolean` | `deleteMeeting(MeetingItem item)` Delete a meeting with meeting item.
    `boolean` | `editMeeting(java.lang.String meetingId, MeetingItem item)` Edit a meeting with meeting item.
    `int` | `getMeetingCount()` Get meeting items count
    `MeetingItem` | `getMeetingItemByIndex(int index)` Get meeting item by index
    `MeetingItem` | `getMeetingItemByNumber(long meetingNumber)` Get a meeting item by meeting number
    `boolean` | `listMeeting()` List all of meetings which belong to the logged in user.
    `void` | `removeListener(PreMeetingServiceListener listener)` Unregister a listener
    `boolean` | `scheduleMeeting(MeetingItem item)` Schedule a meeting with meeting item.

- - ### Method Detail

    - #### addListener

          void addListener(PreMeetingServiceListener listener)

      Register a listener for pre-meeting event
      Parameters:
        `listener` - the listener instance

    - #### removeListener

          void removeListener(PreMeetingServiceListener listener)

      Unregister a listener
      Parameters:
        `listener` - the listener instance

    - #### scheduleMeeting

          boolean scheduleMeeting(MeetingItem item)

      Schedule a meeting with meeting item.
      Parameters:
        `item` - MeetingItem to be scheduled
      Returns:
        true if the meeting can be scheduled

    - #### editMeeting

          boolean editMeeting(java.lang.String meetingId,
                              MeetingItem item)

      Edit a meeting with meeting item.
      Parameters:
        `meetingId` - meeting's id to be edited
        `item` - MeetingItem to be edited
      Returns:
        true if the meeting can be edit

    - #### deleteMeeting

          boolean deleteMeeting(MeetingItem item)

      Delete a meeting with meeting item.
      Parameters:
        `item` - MeetingItem to be deleted
      Returns:
        true if the meeting can be delete

    - #### listMeeting

          boolean listMeeting()

      List all of meetings which belong to the logged in user.
      Returns:
        true if the meeting list can be get

    - #### getMeetingCount

          int getMeetingCount()

      Get meeting items count
      Returns:
        meeting count

    - #### getMeetingItemByIndex

          MeetingItem getMeetingItemByIndex(int index)

      Get meeting item by index
      Parameters:
        `index` - of the meeting list
      Returns:
        meeting item in the index

    - #### getMeetingItemByNumber

          MeetingItem getMeetingItemByNumber(long meetingNumber)

      Get a meeting item by meeting number
      Parameters:
        `meetingNumber` - MeetingItem to be scheduled
      Returns:
        meetingItem a meeting item object of the meeting number